Bug 472117 - (CVE-2008-5153) CVE-2008-5153 moodle insecure temporary file use
CVE-2008-5153 moodle insecure temporary file use
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=cve,reported=2...
: Security
Depends On: 472118 472119 472120
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 15:22 EST by Josh Bressers
Modified: 2016-03-04 06:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-18 16:03:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2008-11-18 15:22:23 EST
spell-check-logic.cgi in Moodle 1.8.2 allows local users to overwrite
arbitrary files via a symlink attack on the (1)
/tmp/spell-check-debug.log, (2) /tmp/spell-check-before, or (3)
/tmp/spell-check-after temporary file.

http://lists.debian.org/debian-devel/2008/08/msg00347.html
http://uvw.ru/report.sid.txt
Comment 1 Josh Bressers 2008-11-18 15:22:53 EST
Created moodle tracking bugs for this issue

CVE-2008-5153 Affects: F8 [bug #472118]
CVE-2008-5153 Affects: F9 [bug #472119]
CVE-2008-5153 Affects: Fdevel [bug #472120]
Comment 2 Jon Ciesla 2008-11-19 08:51:18 EST
I see that this affects the current versions, as well.  I don't see a proposed fix anywhere.  I also don't see this reported upstream.  Do we have a contact at Debian for this report?  Would Dmitry Oboukhov be the right person?
Comment 3 Tomas Hoger 2008-12-10 11:39:25 EST
I failed to find any Debian bug for this, these are Debian moodle bugs:
  http://bugs.debian.org/moodle

If you have good contacts upstream, I may be good idea to double-check with them to make sure they are aware.
Comment 4 Jon Ciesla 2008-12-10 12:12:34 EST
No contacts established, filed upstream bug:

http://tracker.moodle.org/browse/MDL-17597
Comment 5 Jon Ciesla 2009-01-21 09:11:05 EST
Fixed in rawhide.  Coming to the other branches.
Comment 6 Fedora Update System 2009-01-21 09:27:55 EST
moodle-1.9.3-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/moodle-1.9.3-5.fc10
Comment 7 Fedora Update System 2009-01-21 09:28:00 EST
moodle-1.9.3-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/moodle-1.9.3-5.fc9
Comment 8 Fedora Update System 2009-01-21 16:34:50 EST
moodle-1.9.3-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-01-21 16:35:19 EST
moodle-1.9.3-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.